<template>
  <el-dialog
    v-dialogDrag
    :visible.sync="dialogVisible"
    append-to-body
    class="avue-dialog avue-dialog--top"
    style="max-height: 800px;"
    title="批量修改"
    top="-5vh"
    @opened="openDialog"
  >
    <el-table class="cus-table" ref="dataTable" :data="EditTableList"   @cell-click="handleCellClicks" border>
      <el-table-column v-if="EditTableList.length != 0"  type="selection" width="55"></el-table-column>
      <el-table-column v-if="EditTableList.length != 0"  label="序号" type="index" width="55">
      </el-table-column>
      <el-table-column v-for="item in this.tableHeadFindData"
                       :key="item.id"
                       :formatter="item.formatter"
                       :label="item.label" :prop="item.prop"
                       :show-overflow-tooltip="true"
                       :sortable="item.sortable"
                       :width="item.width"
                       align="center">
        <template  slot-scope="{ row }">
          <el-input>

          </el-input>
        </template>
      </el-table-column>

    </el-table>
  </el-dialog>
</template>

<script>
import {getFormTemplate} from "@/api/formTemplate.js";

export default {
  name: "FormBulkEdit",
  props: {
    visible: {
      type: Boolean,
      default: false,
    },
    codeClassifyOid: {
      type: String,
      default: "",
    },
    templateOid: {
      type: String,
      default: "",
    },
    tableData: {
      type: Array,
      default: []
    },
    selectRow: {
      type: Array,
      default: []
    },
    tableHeadFindData: {
      type: Array,
      default: []
    }
  },
  data() {
    return {
      EditTableList: []
    }
  },
  created() {

  },
  computed: {
    dialogVisible: {
      get() {
        return this.visible;
      },
      set(val) {
        this.$emit("update:visible", val);
      },
    },
  },
  methods: {
    //表格单元格编辑
    handleCellClicks(){

    },
    openDialog() {
      this.EditTableList = this.tableData.filter(item => {
        return this.selectRow.some(key => {
          return item.oid === key.oid;
        });
      });
      console.log(this.EditTableList)
      console.log(this.tableHeadFindData)
    },
    getFormTemplate() {
      getFormTemplate({
        templateOid: this.templateOid,
        codeClassifyOid: this.codeClassifyOid,
      }).then(res => {
        console.log(res)
      })
    }
  }
}
</script>

<style scoped>

</style>
